Page MenuHomePhabricator

Driver: ignore -mbig-obj like /bigobj
AcceptedPublic

Authored by martell on Dec 27 2017, 6:16 AM.

Details

Reviewers
rnk
mstorsjo

Diff Detail

Repository
rC Clang

Event Timeline

martell created this revision.Dec 27 2017, 6:16 AM
rnk accepted this revision.Dec 27 2017, 8:56 AM

Looks good. Maybe we should also fix clang to accept this flag, though?

This revision is now accepted and ready to land.Dec 27 2017, 8:56 AM
In D41597#964538, @rnk wrote:

Looks good. Maybe we should also fix clang to accept this flag, though?

We should be able to add it as an ignored flag much like the /bigobj flag for clang-cl
Since rL217812 clang implicitly creates bigobj files when needed.
Will update to reflect when I get the chance.

martell updated this revision to Diff 133374.Feb 7 2018, 11:30 PM

Updated to just ignore the flag just like how clang-cl does for /bigobj

martell retitled this revision from CMAKE: disable -mbig-obj for mingw clang asm to Driver: ignore -mbig-obj like /bigobj.Feb 7 2018, 11:38 PM
rnk accepted this revision.Feb 8 2018, 9:38 AM

lgtm

This works even though we pass -Wa,-mbig-obj?